---
- name: Copy all templated k8s-static-cluster-configuration to the master node
  template:
    src: "../../{{ kubernetes_config_path }}/{{ item.path }}"
    dest: /root/k8s/{{ item.path | regex_replace('\/', '-') }}
    mode: '0600'
    force: yes
    variable_start_string: !unsafe '{{{'
    variable_end_string: !unsafe '}}}'
    block_start_string: !unsafe '{%%'
    block_end_string: !unsafe '%%}'
  loop: >-
    {{ lookup('filetree', '../../'+kubernetes_config_path+'/')
    | selectattr('path', 'search', '(.yml|.yaml)$')
    | sort(attribute='path')
    }}
  when: item.state != "directory"

- name: Apply all k8s-static-cluster-configuration
  k8s:
    state: present
    src: "/root/k8s/{{ item.path | regex_replace('\/', '-')  }}"
  register: apply_k8s_config
  until: apply_k8s_config is not failed
  retries: 2
  when: item.state != "directory"
  loop: >-
    {{ lookup('filetree', '../../'+kubernetes_config_path+'/')
    | selectattr('path', 'search', '(.yml|.yaml)$')
    | sort(attribute='path')
    }}
